package org.treesched.regression;

import junit.framework.Test;
import junit.framework.TestSuite;

/**
 * 
 */
public class ScheduleAllTest {

	public static void main(String[] args) {
		junit.textui.TestRunner.run(ScheduleAllTest.class);
	}

	public static Test suite() throws Exception {
		TestSuite suite =
			new TestSuite("Tests Treesched");

		try {
		suite.addTest(new ScheduleTester("./test/conf/daily_schedule_test.xml"));
		suite.addTest(new ScheduleTester("./test/conf/monthly_schedule_test.xml"));
		suite.addTest(new ScheduleTester("./test/conf/broken_schedule_test.xml"));
		suite.addTest(new ScheduleTester("./test/conf/weekly_schedule_test.xml"));
		suite.addTest(new ScheduleTester("./test/conf/yearly_schedule_test.xml"));
		}
		catch (Exception e) {
			e.printStackTrace();
		}
		return suite;
	}
}
